1. IMPORTANT : Nouvelles mesures de sécurité - 2. Règles pour obtenir de l'aide dans les forums de support - 3. Restrictions des droits pour le groupe "Support suspendu"

Il est obligatoire de respecter les Règles de MyBB.fr : Version abrégée ou Version complète pour obtenir du support sur nos forums.

Les membres ayant un site/forum contrevenant aux règles de MyBB.support seront placés dans le groupe "Support suspendu" et ne bénéficieront plus du support du staff. Nous recommandons aux autres membres d'agir de même. Il ne s'agit pas d'un bannissement, le membre retrouvera son statut "normal" dès que sa situation sera conforme aux règles.

Nouveau : un Wiki en français : plus de détails.
Avant de soumettre votre problème, consultez-le, ainsi que la FAQ, sans oublier le moteur de recherche interne.


Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Packs MyBB 1.6.5 [26-11-11]
Tags » packs, mybb, 165, 26-11-11
27-11-2011, 0:21,
#1
Packs MyBB 1.6.5 [26-11-11]
Salut,

MyBB 1.6.5 vient de sortir, j'ai traduit et constitué les packs habituels. Bien entendu, je n'ai pas tout traduit dans la journée ! J'ai suivi avec le plus de constance possible les modifications sur le SVN de développement.
Cependant, au vu de la masse de travail que ça représente, il serait étonnant qu'il ne subsiste pas quelques bugs et/ou coquilles.

Cette première distribution est destinée surtout à des fins de tests. Ne l'utilisez pas encore sur un forum de production !

Cependant plus vous serez nombreux à tester et à remonter les bugs, plus vite ce pack deviendra stable.
Merci à tous ceux qui feront des rapports.
Postez vos rapports ici : http://www.mybb.fr/thread-4961.html

D'abord une présentation de cette nouvelle version (traduction rapide et approximative du post d'annonce sur MyBB.com.

Changements/modifications dans cette version

La version 1.6.5 corrige 3 vulnérabilités et plus de 70 problèmes signalés. Soyez conscient que tous les problèmes existants n'ont pas été corrigés dans cette version.
  • Vulnérabilités:
    • Non critique: Avatar de l'utilisateur non analysée dans la liste de Contacts - rapporté par labrocca
    • Non critique: Vulnérabilité XSS potentielle de validation des noms d'utilisateurs via AJAX - rapporté par Will G
    • Risque faible: Vulnérabilité CSRF dans ?language= - rapporté par Nathan Malcolm (problème 1729)
      Merci à tous ceux qui ont aidé à trouver et à résoudre les problèmes!
  • Correction de problèmes dans la 1.6.5 (en)
  • Problèmes non corrigés (en)

Il y a aussi plus de 10 mises à jour de nouvelles fonctionnalités dans 1.6.5. Cela va de de la possibilité de localiser les utilisateurs spammeurs depuis l'Admin au support reCAPTCHA. Pour obtenir un résumé de ces mises à jour et pour une liste des fichiers modifiés et les changements des packs de langue, consultez le Wiki de 1.6.5.

Voir les changements dans 1.6.5 sur le Wiki (en)

Mise à niveau depuis 1.6.4 et d'autres versions

Avant toute mise à jour, n'oubliez pas de sauvegarder les fichiers de votre forum et la base de données et de les conserver en sécurité. Si vous avez modifié des fichiers de base, y compris les fichiers de langue, assurez-vous de faire un "changelog" pour ces modifications de sorte que vous pourrez les reporter une fois la mise à niveau terminée.

Si vous avez des plugins installés qui limitent les signatures ou fournissent un reCAPTCHA, ou qui ne seront paut-être pas utiles en raison des nouveaux paramètres disponibles par défaut, il est conseillé de désinstaller ces derniers avant la mise à niveau. Si vous n'êtes pas sûr, créez un sujet dans la section Support général du Forum de la Communauté avec votre liste de plugins et un membre averti sera en mesure de vous indiquer les plugins qu'il y a lieu de désactiver.

Pour mettre à niveau, suivez le processus d'upgrade. Le script d'upgrade est nécessaire. Il y a aussi des modifications de langue et de thème.

Si vous utilisez MyBB 1.6.4 (le pack fr_en_full de MyBB.fr)


Si vous n'utilisez pas MyBB 1.6.4


IMPORTANT : Modifications du système de plugins

Dans 1.6.5, des changements fondamentaux sont apportés au système de plugins. Ces changements ont été réalisés afin de s'adapter au mieux à PHP 5.3 et ultérieur.

Ces changements signifient qu'il sera sans doute nécessaire de mettre à niveau certains des plugins que vous utilisez avant de passer à 1.6.5. Si vous êtes un développeur de plugin, vous devez vérifier si vos plugins doivent être mis à jour pour qu'ils fonctionnent dans la nouvelle version.

Consultez le Wiki Modifications du système de plugin 1.6.5 (en) pour une explication complète. Il y a aussi le sujet "Plugin Changes coming in 1.6.5" (en) sur les forums communautaires.

Mise à jour MyBB Merge System 1.6.2

Pour les utilisateurs de Merge System 1.6.1 et antérieur, il y a une nouvelle mise à jour disponible.

Vous pouvez en lire davantage à ce sujet dans le "1.6.2 Update Blog Post" (en).

Dans un futur proche, le Merge System suivra la branche principale de MyBB - par exemple, si vous utilisez MyBB 1.6.8 vous aurez besoin de Merge System 1.6.8. Cela signifie que le système de fusion va sauter plusieurs points mineurs. Ces changements ne sont pas encore entrés en vigueur, de sorte que vous devez continuer à utiliser Merge System 1.6.2. Nous annoncerons plus de détails au moment de ces modifications.

Vulnérabilité MyBB 1.6.4

En Octobre, nous avons constaté qu'un tiers avait compromis le serveur MyBB 1.6.4 et la distribution a été modifiée pour supprimer une vulnérabilité cachée. Si vous utilisez 1.6.4 et n'avez pas eu connaissance de cela, nous vous invitons à mettre à jour vers 1.6.5, dès que possible.

Conséquence de la compromission de nos systèmes, nous allons héberger nos packs de téléchargement sur GitHub, nous continuerons à le faire jusqu'à ce que nous soyons persuadés que notre système ici soit tout aussi sécurisé que ce que peut offrir github.

Si vous pensez que vous avez trouvé une vulnérabilité dans MyBB, nous vous conseillons de ne pas l'exposer publiquement sur ces forums, ni à publier des informations à ce sujet d'ailleurs jusqu'à ce que nous ayons eu le temps de préparer et de publier un correctif.

Comme toujours, vous pouvez envoyer des messages liés à la sécurité sur la page Contactez-nous du site de mybb.com.

Je vous remercie,
L'équipe mybb.com



Fin de la traduction..
Merci de m'avoir lu...

Je redonne les liens :
Fichiers modifiées depuis la 1.6.4 - Script d'ugrade nécessaire après upload !
Pack complet fr/en
Et tant que j'y étais, je vous ai fait aussi le Langpack 1.6.5
(à utiliser sur 1.6.5 installé en anglais)

Ouf...
Merci pour les futurs rapports ici :
http://www.mybb.fr/thread-4961.html

[Image: spyto.png]
~~ AUCUNE AIDE Par MP, MAIL OU MSN !!!~~
27-11-2011, 12:02, (This post was last modified: 27-11-2011, 12:02 by spyto.)
#2
Packs MyBB 1.6.5 [maj 27-11-11]
Premières coquilles signalées par Nick : http://www.mybb.fr/thread-4961-post-27925.html#pid27925

Plus de détails sur la façon de corriger :
http://www.mybb.fr/thread-4961-post-27927.html#pid27927

Les archives ont été mises à jour.

[Image: spyto.png]
~~ AUCUNE AIDE Par MP, MAIL OU MSN !!!~~
29-11-2011, 16:28,
#3
RE: Packs MyBB 1.6.5 [26-11-11]
Suite au signalement de Xarkam ici :
http://www.mybb.fr/thread-4972-post-27996.html#pid27996
j'ai mis à jour toutes les archives.

A noter que ce bug vient de mybb.com et non de la traduction. Tongue

Par la même occasion, j'ai corrigé la coquille signalée par Nick : http://mybb.fr/thread-4961-post-27990.html#pid27990

[Image: spyto.png]
~~ AUCUNE AIDE Par MP, MAIL OU MSN !!!~~




Users browsing this thread: 1 Guest(s)

Contact Us | MyBB.support | Return to Top | Return to Content | Lite (Archive) Mode | RSS Syndication
 Translation utility provided by Regentronique